QwtColumnSymbol Class Reference

A drawing primitive for columns. More...

`#include <qwt_column_symbol.h>`

## Public Types

enum | Style { NoStyle = -1 , Box , UserStyle = 1000 }
enum | FrameStyle { NoFrame , Plain , Raised }

## Public Member Functions

| QwtColumnSymbol (Style=NoStyle)
virtual | ~QwtColumnSymbol ()
| Destructor.
void | setFrameStyle (FrameStyle)
FrameStyle | frameStyle () const
void | setLineWidth (int width)
int | lineWidth () const
void | setPalette (const QPalette &)
const QPalette & | palette () const
void | setStyle (Style)
Style | style () const
virtual void | draw (QPainter *, const QwtColumnRect &) const

## Protected Member Functions

void | drawBox (QPainter *, const QwtColumnRect &) const

## Detailed Description

A drawing primitive for columns.

Definition at line 74 of file qwt_column_symbol.h.

## Member Enumeration Documentation

## FrameStyle

enum QwtColumnSymbol::FrameStyle

Frame Style used in Box style().

See also
  Style, setFrameStyle(), frameStyle(), setStyle(), setPalette()

Enumerator
NoFrame | No frame.
Plain | A plain frame style.
Raised | A raised frame style.

Definition at line 104 of file qwt_column_symbol.h.

## Style

enum QwtColumnSymbol::Style

Style

See also
  setStyle(), style()

Enumerator
NoStyle | No Style, the symbol draws nothing.
Box | The column is painted with a frame depending on the frameStyle() and lineWidth() using the palette().
UserStyle | Styles >= QwtColumnSymbol::UserStyle are reserved for derived classes of QwtColumnSymbol that overload draw() with additional application specific symbol types.

Definition at line 81 of file qwt_column_symbol.h.

## Constructor & Destructor Documentation

## QwtColumnSymbol()

QwtColumnSymbol::QwtColumnSymbol | ( | Style | style = `NoStyle` | ) |

explicit

Constructor

Parameters

  style | Style of the symbol

See also
  setStyle(), style(), Style

Definition at line 135 of file qwt_column_symbol.cpp.

## Member Function Documentation

## draw()

void QwtColumnSymbol::draw | ( | QPainter * | painter,
|  | const QwtColumnRect & | rect
| ) |  | const

virtual

Draw the symbol depending on its style.

Parameters

  painter | Painter
  rect | Directed rectangle

See also
  drawBox()

Definition at line 238 of file qwt_column_symbol.cpp.

## drawBox()

void QwtColumnSymbol::drawBox | ( | QPainter * | painter,
|  | const QwtColumnRect & | rect
| ) |  | const

protected

Draw the symbol when it is in Box style.

Parameters

  painter | Painter
  rect | Directed rectangle

See also
  draw()

Definition at line 264 of file qwt_column_symbol.cpp.

## frameStyle()

QwtColumnSymbol::FrameStyle QwtColumnSymbol::frameStyle | ( |  | ) | const

Returns
  Current frame style, that is used for the Box style.

See also
  setFrameStyle(), lineWidth(), setStyle()

Definition at line 202 of file qwt_column_symbol.cpp.

## lineWidth()

int QwtColumnSymbol::lineWidth | ( |  | ) | const

Returns
  Line width of the frame, that is used for the Box style.

See also
  setLineWidth(), frameStyle(), setStyle()

Definition at line 225 of file qwt_column_symbol.cpp.

## palette()

const QPalette & QwtColumnSymbol::palette | ( |  | ) | const

Returns
  Current palette

See also
  setPalette()

Definition at line 182 of file qwt_column_symbol.cpp.

## setFrameStyle()

void QwtColumnSymbol::setFrameStyle | ( | FrameStyle | frameStyle | ) |

Set the frame, that is used for the Box style.

Parameters

  frameStyle | Frame style

See also
  frameStyle(), setLineWidth(), setStyle()

Definition at line 193 of file qwt_column_symbol.cpp.

## setLineWidth()

void QwtColumnSymbol::setLineWidth | ( | int | width | ) |

Set the line width of the frame, that is used for the Box style.

Parameters

  width | Width

See also
  lineWidth(), setFrameStyle()

Definition at line 213 of file qwt_column_symbol.cpp.

## setPalette()

void QwtColumnSymbol::setPalette | ( | const QPalette & | palette | ) |

Assign a palette for the symbol

Parameters

  palette | Palette

See also
  palette(), setStyle()

Definition at line 173 of file qwt_column_symbol.cpp.

## setStyle()

void QwtColumnSymbol::setStyle | ( | Style | style | ) |

Specify the symbol style

Parameters

  style | Style

See also
  style(), setPalette()

Definition at line 153 of file qwt_column_symbol.cpp.

## style()

QwtColumnSymbol::Style QwtColumnSymbol::style | ( |  | ) | const

Returns
  Current symbol style

See also
  setStyle()

Definition at line 162 of file qwt_column_symbol.cpp.